package l03_arrays;
import utilities.InputValue;
import utilities.RandomGenerators;

public class ArrayShift {
	public static void main(String[] args) {
		int n = InputValue.getInt("array length");
		int shift = InputValue.getInt("shift");

		int[] intArray = new int[n];
		initArray(intArray);
		System.out.println("Original array:");
		printArray(intArray);
		for(int i = 0; i < shift; i++) {
			shiftByOneLeft(intArray);
		}
		System.out.println("After shift:");
		printArray(intArray);
	}

	private static void shiftByOneLeft(int[] intArray) {
		int k = intArray[0];
		for(int i = 1; i < intArray.length; ++i) {
			intArray[i-1] = intArray[i];
		}
		intArray[intArray.length - 1] = k;
	}

	private static void initArray(int[] intArray) {
		for(int i = 0; i < intArray.length; i++) {
			intArray[i] = RandomGenerators.getInt(100);
		}
	}

	private static void printArray(int[] intArray) {
		for (int element : intArray) {
			System.out.format("%3d", element);
		}
		System.out.println();
	}
}

