package l03_arrays;

import utilities.RandomGenerators;

public class ArraySort {
	public static void main (String[] args) {
		int n = RandomGenerators.getInt(5, 15); // generate int from [5, 15)
		double[] doubleArray = new double[n];
		for (int i = 0; i < n; i++) {
			doubleArray[i] = RandomGenerators.getDouble(1., 10.);
		}
		printArray(doubleArray);
		sort(doubleArray);
		printArray(doubleArray);
	}

	private static void printArray (double[] doubleArray) {
		for (double element : doubleArray) {
			System.out.format("%6.2f, ", element);
		}
		System.out.println();
	}

	private static void sort (double[] doubleArray) {
		int n = doubleArray.length;
		boolean change = true;
		for(int k = 0; k < n && change; ++k) {
			change = false;
			for (int i = 0; i < n-k-1; ++i) {
				if (doubleArray[i] > doubleArray[i+1]) {
					double tmp = doubleArray[i];
					doubleArray[i] = doubleArray[i+1];
					doubleArray[i+1] = tmp;
					change = true;
				}
			}
		}
	}
}

