package l03_arrays;
import utilities.MatrixHelper;
import utilities.RandomGenerators;

public class TransposeInPlace {
	public static void main (String[] args) {
		final int n = 5;
		int[][] matrix = new int[n][n];

		initMatrix(matrix);
		MatrixHelper.printMatrix(matrix);
		System.out.println();

		transposeInPlace(matrix);
		MatrixHelper.printMatrix(matrix);
	}

	private static void initMatrix(int[][] matrix) {
		for (int i = 0; i < matrix.length; i++) {
			for (int j = 0; j < matrix[i].length; j++)
				matrix[i][j] = RandomGenerators.getInt(100);
		}
	}

	private static void transposeInPlace(int[][] matrix) {
		for (int i = 1; i < matrix.length; i++) {
			for (int j = 0; j < i; j++) {
				int temp = matrix[i][j];
				matrix[i][j] = matrix[j][i];
				matrix[j][i] = temp;
			}
		}
	}
}

