package l03_arrays;
import utilities.RandomGenerators;

public class ArrayInt {
	public static void main (String[] args) {
		final int n = 5;
		int[] intArray = new int[n];
		System.out.println("The length of the array is " + intArray.length);
		System.out.println();

		for (int i = 0; i < intArray.length; i++) {
			intArray[i] = RandomGenerators.getInt(100);
		}

//	Enhanced for loop - when to use:
//		1. Only access (cannot assign elements)
//		2. Only single structure (cannot traverse two structures;
//			e.g. compare two arrays)
//		3. Only single element (not to compare successive elements)
//		4. Only forward

		int sum = 0;
		for (int i = 0; i < intArray.length; i++) {
			int elem = intArray[i];
			System.out.println("intArray[" + i + "] = " + elem);
			sum += elem;
		}
		System.out.println("Sum of the elements = " + sum);
		System.out.println();

		sum = 0;
		for (int elem : intArray) {
			System.out.println("intArray[?] = " + elem);
			sum += elem;
		}
		System.out.println("Sum of the elements = " + sum);
	}
}

